Bug 73353 - patch for devel/sdl12 malloc bug.
Summary: patch for devel/sdl12 malloc bug.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-31 15:30 UTC by Alfred Perlstein
Modified: 2004-11-07 00:00 UTC (History)
0 users

See Also:


Attachments
file.diff (543 bytes, patch)
2004-10-31 15:30 UTC, Alfred Perlstein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfred Perlstein freebsd_committer 2004-10-31 15:30:31 UTC
If you don't have joysticks, then SDL will free(3) already free(3)'d
memory and screw up the heap.

David Xu pinned down a problem to this double/incorrect free(3).

This patch I wrote seems to fix it.

How-To-Repeat: Run an SDL linked program under valgrind without any joysticks present
in the system.
Comment 1 Pav Lucistnik freebsd_committer 2004-11-06 21:03:59 UTC
The port is unmaintainer (open for anyone to commit) and you're listed
in ports' access file. Any reason why not commit this patch directly?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Just because you're an angel doesn't mean you have to be a fool.
Comment 2 Pav Lucistnik freebsd_committer 2004-11-06 21:21:24 UTC
State Changed
From-To: open->closed

Close and disregard my followup, I see Alfred committed this 
already. 

Pointed out by:	arvedian
Comment 3 Alfred Perlstein freebsd_committer 2004-11-06 23:53:42 UTC
* Pav Lucistnik <pav@FreeBSD.org> [041106 13:04] wrote:
> The port is unmaintainer (open for anyone to commit) and you're listed
> in ports' access file. Any reason why not commit this patch directly?

Done, wasn't sure of the protocol.

-- 
- Alfred Perlstein
- Research Engineering Development Inc.
- email: bright@mu.org cell: 408-480-4684